% Fhrer/Heidemann/Nerreter, Band 2
% Kapitel 3, Beispiel 2
clc;
disp('Band 2, Beispiel 3.2');
figure;
gu=2; % untere Grenze
go=22; % obere Grenze
n=100;
x=[2  4    6    8   10   12   14   16   18   18.5 20   20.8 22]; % Zeitwerte in ms
y=[0 16^2 22^2 27^2 32^2 39^2 49^2 33^2 14^2 20^2 26^2 20^2  0]; % Quadrate der Stromwerte in mA*mA
anzahl=n*length(x)-1;
s=(go-gu)/anzahl; % Schrittweite
xx=gu:s:go; % Zeitwerte
yy=spline(x,y,xx); % Stromwerte
plot(xx,yy); hold on; grid;
xlabel('t in ms'); ylabel('i in mA');
iq=0;
for k=2:anzahl;
    iq=iq+yy(k)*(xx(k)-xx(k-1));
end;
T=20;
Ieff=sqrt(iq/T);
disp(' ');
disp(['Ieff =',sprintf(' %3.5f ',Ieff),'mA']);