% Fhrer/Heidemann/Nerreter, Band 2
% Kapitel 3, Beispiel 3
clc;
disp('Band 2, Beispiel 3.3');
figure;
gu=2; % untere Grenze
go=22; % obere Grenze
n=100;
x=[2  4  6  8 10 12 14 16  18 18.5  20 20.8 22]; % Zeitwerte in ms
y=[0 16 22 27 32 39 49 33 -14  -20 -26  -20  0]; % Stromwerte in mA
anzahl=n*length(x)-1;
s=(go-gu)/anzahl; % Schrittweite
xx=gu:s:go; % Zeitwerte
yy=spline(x,y,xx); % Stromwerte
plot(xx,yy); hold on; grid;
xlabel('t in ms'); ylabel('i in mA');
iq=0;
for k=2:anzahl;
    iq=iq+abs(yy(k))*(xx(k)-xx(k-1));
end;
disp(['Integral:',sprintf(' %3.5f ',iq),'mA.ms']);
T=20;
disp(' ');
disp(['Gleichrichtwert:',sprintf(' %3.5f ',iq/T),'mA']);