% Fhrer/Heidemann/Nerreter Band 2
% Kapitel 5, Beispiel 11
clc;
b2g=180/pi;
RV=10;
GV=1/RV;
Uq1=100;
Zi1=3.22*(cos(24/b2g)+j*sin(24/b2g));
Uq2=50*(cos(60/b2g)+j*sin(60/b2g));
Zi2=1.85;
Iq1=Uq1/Zi1; Yi1=1/Zi1;
Iq2=Uq2/Zi2; Yi2=1/Zi2;
Iqe=Iq1+Iq2;
Yie=Yi1+Yi2;
disp(['Iqe =',sprintf(' %3.6f ',abs(Iqe)),' A /_',sprintf(' %3.4f ',b2g*angle(Iqe)),'']);
disp(['Yie =',sprintf(' %3.6f ',abs(Yie)),' A /_',sprintf(' %3.4f ',b2g*angle(Yie)),'']);
Ig=Iqe*GV/(Yie+GV);
disp(['I =',sprintf(' %3.6f ',abs(Ig)),' A /_',sprintf(' %3.4f ',b2g*angle(Ig)),'']);