% Fhrer/Heidemann/Nerreter Band 2
% Kapitel 5, Beispiel 2
clc;
b2g=180/pi;
phi1g=39.8;
phi1=phi1g/b2g;
Z1=15.6*(cos(phi1)+j*sin(phi1));
phi2g=-62;
phi2=phi2g/b2g;
Z2=17.0*(cos(phi2)+j*sin(phi2));
Ze=Z1+Z2;
disp(['Ze =',sprintf(' %3.6f ',abs(Ze)),' Ohm /_',sprintf(' %3.3f ',angle(Ze)*b2g),'']);
U=15;
Ie=U/Ze;
disp(['Ie =',sprintf(' %3.6f ',1000*abs(Ie)),' mA /_',sprintf(' %3.3f ',angle(Ie)*b2g),'']);
S=U*conj(Ie);
disp(['S =',sprintf(' %3.6f ',abs(S)),' VA /_',sprintf(' %3.3f ',angle(S)*b2g),'']);
disp(['P =',sprintf(' %3.6f ',real(S)),' W']);
disp(['Q =',sprintf(' %3.6f ',imag(S)),' var']);
disp(['cos phi =',sprintf(' %1.6f ',real(S)/abs(S))]);