% Fhrer/Heidemann/Nerreter Band 2
% Kapitel 5, Beispiel 5
clc;
b2g=180/pi;
f=50;
w=2*pi*f;
U=230;
R1=50;
R2=20;
L=0.1;
C=20.0e-6;
Ye=1/R1 + 1/(R2+j*w*L) + j*w*C;
Ie=Ye*U;
disp(['I =',sprintf(' %3.6f ',abs(Ie)),' A /_',sprintf(' %3.4f ',b2g*angle(Ie)),'']);
S=U*conj(Ie);
disp(['S =',sprintf(' %3.6f ',abs(S)),' VA /_',sprintf(' %3.4f ',b2g*angle(S)),'']);
disp(['P =',sprintf(' %3.6f ',real(S)),' W']);
disp(['Q =',sprintf(' %3.6f ',imag(S)),' var']);
disp(['cos phi =',sprintf(' %1.6f ',real(S)/abs(S))]);