% Fhrer/Heidemann/Nerreter Band 2
% Kapitel 6, Aufgabe 18
clc;
disp('Aufgabe 6.18');
format long;
b2g=180/pi;
sP=-4877;
wgH=2000*pi;
Wg=sqrt(sqrt(2.0)-1);
wgT=-Wg*sP;
k=wgT*wgH;
sPH=k/sP;
disp(['k =',sprintf(' %3.6e ',k),' s-2']);
figure;
axis equal;
plot([-2 2],[0 0]); hold on;
k=1;
W=10^(0.1*k-2);
T=W^2/(1+j*W)^2;
aT=20*log10(abs(T));
xa=log10(W);
ya=aT;
for k=2:40
    W=10^(0.1*k-2);
    T=W^2/(1+j*W)^2;
    aT=20*log10(abs(T));
    xn=log10(W);
    yn=aT;
    plot([xa xn], [ya yn]);
    xa=xn; ya=yn;
end
grid; xlabel('lg(Omega)'); ylabel('dB');
figure;
axis equal;
plot([-2 2],[0 0]); hold on;
k=1;
W=10^(0.1*k-2);
T=W^2/(1+j*W)^2;
xa=log10(W);
ya=b2g*angle(T);
for k=2:40
    W=10^(0.1*k-2);
    T=W^2/(1+j*W)^2;
    aT=20*log10(abs(T));
    xn=log10(W);
    yn=b2g*angle(T);
    plot([xa xn], [ya yn]);
    xa=xn; ya=yn;
end
grid; xlabel('lg(Omega)'); ylabel('phi in Grad');