% Fhrer/Heidemann/Nerreter Band 2
% Kapitel 5, Aufgabe 13
clc;
syms C L1 L2 G2 x;
L1=1.2e-3;
L2=0.18;
C=0.22e-6;
G2=0.01;
a=L1*C^2;
b=L1*G2^2 - 2*C*L1/L2 - C;
c=L1/L2^2 + 1/L2;
Lv=solve('a*x^2+b*x+c=0',x);
x1=subs(Lv(1));
x2=subs(Lv(2));
fr1=sqrt(x1)/(2*pi);
fr2=sqrt(x2)/(2*pi);
disp(['fr1 =',sprintf(' %2.6f ',fr1/1000),' kHz']);
disp(['fr2 =',sprintf(' %2.6f ',fr2/1000),' kHz']);