% Fhrer/Heidemann/Nerreter Band 2
% Kapitel 6, Aufgabe 16
clc;
disp('Aufgabe 6.16');
syms Uq RV Pmax Ri x Lv;
Uq=6;
Ri=10;
Pmax=0.5;
fgu=9950;
fgo=10050;
fr=sqrt(fgu*fgo);
wr=2*pi*fr;
Q=fr/(fgo-fgu);
Lv=solve('x*(Pmax+Ri*Pmax/x)^2=Pmax*Uq^2',x);
y1=subs(Lv(1));
y2=subs(Lv(2));
if y1>y2; RV=y1; else RV=y2; end;
R=Ri+RV;
C=1/(wr*Q*R);
L=R*Q/wr;
Umax=2*Uq*Q^2/sqrt(4*Q^2-1);
disp(['L =',sprintf(' %3.4f ',L*1000),' mH']);
disp(['C =',sprintf(' %3.5f ',C*1.0e9),' nF']);
disp(['R =',sprintf(' %3.4f ',R),' Ohm']);
disp(['Umax =',sprintf(' %3.2f ',Umax),' V']);