% Fhrer/Heidemann/Nerreter Band 2
% Kapitel 6, Aufgabe 17
clc;
disp('Aufgabe 6.17');
syms a b sp1 sp2 x;
format long;
b2g=180/pi;
Ri=1500;
RV=4000;
GV=1/RV;
C=348.2e-9;
L=0.166;
a=GV/C+Ri/L;
b=(1+Ri*GV)/(C*L);
Lv=solve('x^2+a*x+b=0',x);
s1=subs(Lv(1));
s2=subs(Lv(2));
sP=0.5*(real(s1)+real(s2))
Wg=sqrt(sqrt(2.0)-1);
fg=-Wg*sP/(2*pi);
disp(['fg =',sprintf(' %3.6f ',fg),' Hz']);
figure;
axis equal;
plot([-2 2],[0 0]); hold on;
k=1;
W=10^(0.1*k-2);
T=1/(1+j*W)^2;
aT=20*log10(abs(T));
xa=log10(W);
ya=aT;
for k=2:40
    W=10^(0.1*k-2);
    T=1/(1+j*W)^2;
    aT=20*log10(abs(T));
    xn=log10(W);
    yn=aT;
    plot([xa xn], [ya yn]);
    xa=xn; ya=yn;
end
grid; xlabel('lg(Omega)'); ylabel('dB');
figure;
axis equal;
plot([-2 2],[0 0]); hold on;
k=1;
W=10^(0.1*k-2);
T=1/(1+j*W)^2;
xa=log10(W);
ya=b2g*angle(T);
for k=2:40
    W=10^(0.1*k-2);
    T=1/(1+j*W)^2;
    aT=20*log10(abs(T));
    xn=log10(W);
    yn=b2g*angle(T);
    plot([xa xn], [ya yn]);
    xa=xn; ya=yn;
end
grid; xlabel('lg(Omega)'); ylabel('phi in Grad');