% Fhrer/Heidemann/Nerreter Band 2
% Kapitel 6, Aufgabe 8
disp('Aufgabe 6.8');
clc;
format long;
b2g=180/pi;
R1=50;
C1=2.0e-9;
R2=50;
C2=2.0e-9;
wbez=1.0e6;
figure;
axis equal;
plot([-2 2],[0 0]); hold on;
k=1;
W=10^(0.1*(k-21));
w=W*wbez;
Z11=R1+1/(j*w*C1);
Z12=1/(j*w*C1);
Z21=1/(j*w*C1);
Z22=1/(j*w*C1)+1/(j*w*C2);
det=Z11*Z22-Z12*Z21;
Tu=Z21/(Z11+det/R2);
Ti=2*Tu*sqrt(R1/R2);
aDB=1/abs(sqrt(Tu*Ti));
xa=log10(W);
ya=20*log10(aDB);
for k=2:41
    W=10^(0.1*(k-21));
    w=W*wbez;
    Z11=R1+1/(j*w*C1);
    Z12=1/(j*w*C1);
    Z21=1/(j*w*C1);
    Z22=1/(j*w*C1)+1/(j*w*C2);
    det=Z11*Z22-Z12*Z21;
    Tu=Z21/(Z11+det/R2);
    Ti=2*Tu*sqrt(R1/R2);
    aDB=1/abs(sqrt(Tu*Ti));
    xn=log10(W);
    yn=20*log10(aDB);
    plot([xa xn], [ya yn]);
    xa=xn; ya=yn;
end
ylabel('dB');
xlabel('lg(Omega)');
figure;
axis equal;
plot([-2 2],[0 0]); hold on;
k=1;
W=10^(0.1*(k-21));
w=W*wbez;
Z11=R1+1/(j*w*C1);
Z12=1/(j*w*C1);
Z21=1/(j*w*C1);
Z22=1/(j*w*C1)+1/(j*w*C2);
det=Z11*Z22-Z12*Z21;
Tu=Z21/(Z11+det/R2);
Ti=2*Tu*sqrt(R1/R2);
aDB=angle(1/sqrt(Tu*Ti));
xa=log10(W);
ya=b2g*aDB;
for k=2:41
    W=10^(0.1*(k-21));
    w=W*wbez;
    Z11=R1+1/(j*w*C1);
    Z12=1/(j*w*C1);
    Z21=1/(j*w*C1);
    Z22=1/(j*w*C1)+1/(j*w*C2);
    det=Z11*Z22-Z12*Z21;
    Tu=Z21/(Z11+det/R2);
    Ti=2*Tu*sqrt(R1/R2);
    aDB=angle(1/sqrt(Tu*Ti));
    xn=log10(W);
    yn=b2g*aDB;
    plot([xa xn], [ya yn]);
    xa=xn; ya=yn;
end
ylabel('Grad');
xlabel('lg(Omega)');

