% Fhrer/Heidemann/Nerreter, Band 2
% Bild 6.25, Frequenzgang des Betrags des bertragungsfaktors
Ria=25; Rib=25;Ric=150;
Rva=25; Rvb=25; Rvc=100;
La=310e-3; Lb=220e-3;Lc=Lb;
Ca=33e-6; Cb=720e-9; Cc=Cb;
Ra=Ria+Rva; Rb=Rib+Rvb; Rc=Ric+Rvc;
omega_r_a=1/sqrt(La*Ca) 
omega_r_b=1/sqrt(Lb*Cb)
omega_r_c=1/sqrt(Lc*Cc)
omega=10;
faktor=1.0036;
for k=1:1701
    w(k)=omega;
    Imag_a=(omega*La - 1/(omega*Ca))/Ra;
    Ta(k)=Rva/(Ra*sqrt(1+Imag_a^2)); 
    Imag_b=(omega*Lb - 1/(omega*Cb))/Rb;
    Tb(k)=Rvb/(Rb*sqrt(1+Imag_b^2)); 
    Imag_c=(omega*Lc - 1/(omega*Cc))/Rc;
    Tc(k)=Rvc/(Rc*sqrt(1+Imag_c^2)); 
    omega=omega*faktor;
end
plot (w,Ta,'r')
hold on
plot (w,Tb,'b')
plot (w,Tc,'g')
title('Betrag des bertragungsfaktors')
xlabel('Kreisfrequenz in 1/s')
ylabel('Betrag')
grid on
hold off
