% Fhrer/Heidemann/Nerreter, Band 2
% Bild 6.25, Frequenzgang des bezogenen bertragungsfaktors
% ber der Verstimmung
Ria=25; Rib=25; Ric=150;
Rva=25; Rvb=25; Rvc=100;
La=310e-3; Lb=220e-3; Lc=Lb;
Ca=33e-6; Cb=720e-9; Cc=Cb;
Ra=Ria+Rva; Rb=Rib+Rvb; Rc=Ric+Rvc;
omega_r_a=1/sqrt(La*Ca) 
omega_r_b=1/sqrt(Lb*Cb)
omega_r_c=1/sqrt(Lc*Cc)
Qa=(sqrt(La/Ca))/Ra;
Qb=(sqrt(Lb/Cb))/Rb;
Qc=(sqrt(Lc/Cc))/Rc;
wert =-2;
summ=4/1000;
for k=1:1001
  v(k)=wert;
  ta(k)=1/sqrt(1+(Qa*v(k))^2);  
  tb(k)=1/sqrt(1+(Qb*v(k))^2);  
  tc(k)=1/sqrt(1+(Qc*v(k))^2);  
  wert=wert+summ;
end
plot (v,ta,'r')
hold on
plot (v,tb,'b')
plot (v,tc,'g')
title('Betrag des bezogenen bertragungsfaktors')
xlabel('Verstimmung')
ylabel('Betrag')
grid on
hold off
