% Fhrer/Heidemann/Nerreter, Band 2
% Bild 6.30, normierter Betrag des bertragungsfaktors ber der Verstimmung
winkel=atan(3.5)
quot=winkel/pi
summ=3.5/1000;
wert=-3.5;
for k=1:2001
  v(k)=wert;
  t(k)=abs(v(k))/sqrt(1+(v(k)^2));
  phi(k)=-atan(-1/v(k))*180/pi;
  wert=wert+summ;
end
hl1 = line(v,t,'Color','r');
ax1=gca; %get current axis
set(ax1,'XColor','r','YColor','r','XLim',[-3.5,3.5],'XLimMode','manual','YLim',[0,1],'YLimMode','manual',...
    'ytick',[0,0.25,0.5,0.75,1.0])
set(get(ax1,'YLabel'),'String','Ma in dB');
grid on
ax2=axes('Position',get(ax1,'Position'),'XAxisLocation','bottom','YAxisLocation','right',...%Achsenkreuz mit y-Achse rechts
         'Color','none','XColor','k','YColor','b','XLim',[-3.5,3.5],'XLimMode','manual','YLim',[-90,90],...
         'ytick',[-90,-45,0,45,90]);
hl2 = line(v,phi,'Color','b','Parent',ax2);
title('bezogener bertragungsfaktor')
xlabel('normierte Frequenz')
ylabel('Winkel in Grad')
