% Fhrer/Heidemann/Nerreter, Band 2
% Kapitel 7, Beispiel 5
syms A b;
clc
w2b=pi/180;
U = 400;
Z1B=50; Z1W=-20; Z1=Z1B*cos(w2b*Z1W) + j*Z1B*sin(w2b*Z1W);
Z2B=20; Z2W=60;  Z2=Z2B*cos(w2b*Z2W) + j*Z2B*sin(w2b*Z2W);
Z3B=20; Z3W=0;  Z3=Z3B*cos(w2b*Z3W) + j*Z3B*sin(w2b*Z3W);
Ust=U/sqrt(3);
Y1=1/Z1; 
Y2=1/Z2; 
Y3=1/Z3;
U1B=Ust; U1W=0;    U1=U1B*cos(w2b*U1W) + j*U1B*sin(w2b*U1W);
U2B=Ust; U2W=-120; U2=U2B*cos(w2b*U2W) + j*U2B*sin(w2b*U2W);
U3B=Ust; U3W=120;  U3=U3B*cos(w2b*U3W) + j*U3B*sin(w2b*U3W);
UKN=(Y1*U1+Y2*U2+Y3*U3)/(Y1+Y2+Y3);
disp(' ');
disp(['Betrag UKN = ',sprintf(' %2.4e ',abs(UKN)),' V']);
w=angle(UKN)/w2b;
disp(['Winkel UKN = ',sprintf(' %2.4e ',w),' Grad']);
U1K=U1-UKN;
U2K=U2-UKN;
U3K=U3-UKN;
disp(' ');
disp(['Betrag U1K = ',sprintf(' %2.4e ',abs(U1K)),' V']);
w=angle(U1K)/w2b;
disp(['Winkel U1K = ',sprintf(' %2.4e ',w),' Grad']);
disp(' ');
disp(['Betrag U2K = ',sprintf(' %2.4e ',abs(U2K)),' V']);
w=angle(U2K)/w2b;
disp(['Winkel U2K = ',sprintf(' %2.4e ',w),' Grad']);
disp(' ');
disp(['Betrag U3K = ',sprintf(' %2.4e ',abs(U3K)),' V']);
w=angle(U3K)/w2b;
disp(['Winkel U3K = ',sprintf(' %2.4e ',w),' Grad']);
I1=Y1*U1K;
I2=Y2*U2K;
I3=Y3*U3K;
disp(' ');
disp(['Betrag I1 = ',sprintf(' %2.4e ',abs(I1)),' A']);
w=angle(I1)/w2b;
disp(['Winkel I1 = ',sprintf(' %2.4e ',w),' Grad']);
disp(' ');
disp(['Betrag I2 = ',sprintf(' %2.4e ',abs(I2)),' A']);
w=angle(I2)/w2b;
disp(['Winkel I2 = ',sprintf(' %2.4e ',w),' Grad']);
disp(' ');
disp(['Betrag I3 = ',sprintf(' %2.4e ',abs(I3)),' A']);
w=angle(I3)/w2b;
disp(['Winkel I3 = ',sprintf(' %2.4e ',w),' Grad']);
aB=1; aW=120;  a=aB*cos(w2b*aW) + j*aB*sin(w2b*aW);
bB=1; bW=-120; b=bB*cos(w2b*bW) + j*bB*sin(w2b*bW);
A=[1 1; b a]; b=[I1; I2];
S=linsolve(A,b);
Im=S(1); Ig=S(2);
disp(' ');
disp(['Betrag Im = ',sprintf(' %2.4e ',abs(Im)),' A']);
w=angle(Im)/w2b;
disp(['Winkel Im = ',sprintf(' %2.4e ',w),' Grad']);
disp(' ');
disp(['Betrag Ig = ',sprintf(' %2.4e ',abs(Ig)),' A']);
w=angle(Ig)/w2b;
disp(['Winkel Ig = ',sprintf(' %2.4e ',w),' Grad']);