% Fhrer/Heidemann/Nerreter, Band 2
% Kapitel 9, Beispiel 6
clc;
syms wd delta t;
figure;
L=0.3;
C=3.3e-6;
wr=1/sqrt(L*C);
Rgrenz=2*sqrt(L/C);
R=150;
theta=R/Rgrenz;
delta=wr*theta;
wd=sqrt(wr^2 - delta^2);
ezplot(1-(cos(wd*t)+(delta/wd)*sin(wd*t))*exp(-delta*t),[0,10e-3]); grid; hold on;
C=0.13e-6;
wr=1/sqrt(L*C);
Rgrenz=2*sqrt(L/C);
R=150;
theta=R/Rgrenz;
delta=wr*theta;
wd=sqrt(wr^2 - delta^2);
ezplot(1-(cos(wd*t)+(delta/wd)*sin(wd*t))*exp(-delta*t),[0,10e-3]);
theta=1;
L=0.3;
C=3.3e-6;
wr=1/sqrt(L*C);
delta=wr*theta;
for ti=0:1000
    tb=ti/10e4;
    dt=delta*tb;
    u=1-(1+dt)*exp(-dt);
    plot(tb,u,'r');
end
L=0.3;
C=3.3e-6;
wr=1/sqrt(L*C);
Rgrenz=2*sqrt(L/C);
R=1800;
theta=R/Rgrenz;
delta=wr*theta;
W=sqrt(delta^2 - wr^2);
la1=-delta+W;
la2=-delta-W;
for ti=0:1000
    tb=ti/10e4;
    u=1+(la2/(2*W))*exp(la1*tb)-(la1/(2*W))*exp(la2*tb);
    plot(tb,u,'g');
end
R=6000;
theta=R/Rgrenz;
delta=wr*theta;
W=sqrt(delta^2 - wr^2);
la1=-delta+W;
la2=-delta-W;
for ti=0:1000
    tb=ti/10e4;
    u=1+(la2/(2*W))*exp(la1*tb)-(la1/(2*W))*exp(la2*tb);
    plot(tb,u,'g');
end


